Wordpress - błąd po zainstalowaniu wtyczki


(Rosiak112) #1

Mam problem otóż zainstalowałem na swoim wordpresie (wersja chyba 2.7 lub 2.8 ) wtyczkę Easy Adsenser i wyrzuca czasem błąd:

Warning: htmlspecialchars_decode() expects parameter 1 to be string, NULL given in /var/www/vhosts/adrestrony.net/httpdocs/wp-includes/compat.php on line 113

Błąd wyświetla się nie regularnie obok reklamy,na naprzykład 10 wejść 6 wejść będzie z błedem a czasem 4.(róznie bywa)

Bo wyrzuceniu wtyczki wszystko wraca do normy,jednak wtyczka jest mi bardzo przydatna,i nie chce jej się pozbywać bo ctr wzrasta aż do 5% (a bez wtyczki 0,30%)

Wiecie może na czym ten bład polega i jak go naprawić ?

(Wszystkie inne zainstalowane wtyczki nie produkują błędów)


(ra-v) #2

Tutaj

/var/www/vhosts/adrestrony.net/httpdocs/wp-includes/compat.php on line 113

a raczej gdzieś przed trzeba raczej dopisać coś na wzór

if( empty($zmienna) ) $zmienna = '';

…gdzie “$zmienna” to zmienna we funckji htmlspecialchars_decode() umieszczonej w 113 linii tego kodu.

To co wyżej musi być w bloku php czyli <?php … ?>. Niestety nie znam Wordpresa ale znam PHP, więc na oko próbuje pomóc.